Subject: bug#26570: closed (Re: bug#26570: GC_is_heap_ptr() dep for 2.2.1)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 20 Apr 2017 08:45:02 +0000

Your bug report

#26570: GC_is_heap_ptr() dep for 2.2.1

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26570: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26570
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26570: GC_is_heap_ptr() dep for 2.2.1
From: Andy Wingo <[email-masked]>
To: Zefram <[email-masked]>
Cc: [email-masked]
Date: Thu, 20 Apr 2017 10:44:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu 20 Apr 2017 01:19, Zefram <[email-masked]> writes:

> Compilation of 2.2.1 fails for me, producing a lot of warnings about
> implicit declaration of GC_is_heap_ptr(), and ultimately
>
>   CCLD     guile
> ./.libs/libguile-2.2.so: undefined reference to `GC_is_heap_ptr'
> collect2: error: ld returned 1 exit status
> Makefile:2439: recipe for target 'guile' failed
> make[3]: *** [guile] Error 1
>
> At a guess, maybe this is supposed to be supplied by libgc.  But I have
> the version of libgc that README says is required (7.2), and configure
> was happy with it.  Maybe a higher version is now required, and README
> and configure need updating?

I think I fixed this in Git.  Please take a look.  Cheers :)

Andy

Subject: GC_is_heap_ptr() dep for 2.2.1
From: Zefram <[email-masked]>
To: [email-masked]
Date: Thu, 20 Apr 2017 00:19:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Compilation of 2.2.1 fails for me, producing a lot of warnings about
implicit declaration of GC_is_heap_ptr(), and ultimately

  CCLD     guile
./.libs/libguile-2.2.so: undefined reference to `GC_is_heap_ptr'
collect2: error: ld returned 1 exit status
Makefile:2439: recipe for target 'guile' failed
make[3]: *** [guile] Error 1

At a guess, maybe this is supposed to be supplied by libgc.  But I have
the version of libgc that README says is required (7.2), and configure
was happy with it.  Maybe a higher version is now required, and README
and configure need updating?

-zefram